Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.management.util
Class STCMBeanNameUtil

    java.lang.Object
      com.stc.connector.management.util.STCMBeanNameUtil

public class STCMBeanNameUtil
extends java.lang.Object

Field Summary
`static java.lang.String` | `VAR_COLLAB`
`static java.lang.String` | `VAR_EXTERNAL`
`static java.lang.String` | `VAR_PROJECT`

Constructor Summary
`STCMBeanNameUtil()`

Method Summary
`java.lang.String` | `extractSubName(java.lang.String subkey)`
`java.lang.String` | `extractSubName(java.lang.String projectInfoName, java.lang.String subkey)`
`static void` | `main(java.lang.String[] args)`
`void` | `setProjectInfoName(java.lang.String projectInfoName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VAR_PROJECT

    public static final java.lang.String VAR_PROJECT

See Also:
  Constant Field Values

### VAR_COLLAB

    public static final java.lang.String VAR_COLLAB

See Also:
  Constant Field Values

### VAR_EXTERNAL

    public static final java.lang.String VAR_EXTERNAL

See Also:
  Constant Field Values

Constructor Detail

### STCMBeanNameUtil

    public STCMBeanNameUtil()

Method Detail

### main

    public static void main(java.lang.String[] args)

### setProjectInfoName

    public void setProjectInfoName(java.lang.String projectInfoName)

### extractSubName

    public java.lang.String extractSubName(java.lang.String subkey)
                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### extractSubName

    public java.lang.String extractSubName(java.lang.String projectInfoName,
                                           java.lang.String subkey)
                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD